/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AUDIOINOUT_VIEW_H__
#define __AUDIOINOUT_VIEW_H__

#include <Evas.h>

struct _app_data;
typedef struct _audio_inout_view audio_inout_view;

/**
 * @brief Create audio in out view
 * @param[in]   app   application instance
 * @param[in]   navi  owner naviframe
 * @return instance of audio_inout_view
 */
audio_inout_view *audio_inout_view_add(struct _app_data *app, Evas_Object *navi);

#endif // __AUDIOINOUT_VIEW_H__

