/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __GIF_VIEWER_VIEW_H__
#define __GIF_VIEWER_VIEW_H__

#include <Evas.h>

struct _app_data;

/**
 * @typedef gif_viewer_view
 *
 * A gif viewer view handle.
 *
 * @see gif_viewer_view_add()
 */
typedef struct _gif_viewer_view gif_viewer_view;

/**
 * @brief Add Gif viewer view
 * @param[in] The pointer to _app_data instance
 * @param[in] The naviframe object
 */
gif_viewer_view *gif_viewer_view_add(struct _app_data *app,
		Evas_Object *navi);

#endif // __GIF_VIEWER_VIEW_H__

